Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.tilecache/src/main/java/org/gvsig/raster/tilecache/provider/legend/TileCacheGetLegend.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.tilecache/src/main/java/org/gvsig/raster/tilecache/provider/legend/TileCacheGetLegend.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.tilecache/src/main/java/org/gvsig/raster/tilecache/provider/legend/TileCacheGetLegend.java	(revision 43876)
@@ -1,12 +1,8 @@
 package org.gvsig.raster.tilecache.provider.legend;
 
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.slf4j.LoggerFactory;
 
-import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
-import org.gvsig.fmap.geom.exception.CreateEnvelopeException;
-import org.gvsig.raster.lib.buffer.api.exceptions.BufferException;
 import org.gvsig.raster.lib.legend.api.RasterLegend;
 import org.gvsig.raster.tilecache.provider.TileCacheStoreProvider;
 import org.gvsig.raster.tilecache.provider.TileStructImage;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/legend/ImageIOGetColorInterpretation.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/legend/ImageIOGetColorInterpretation.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/legend/ImageIOGetColorInterpretation.java	(revision 43876)
@@ -10,7 +10,7 @@
 import java.util.List;
 import org.gvsig.fmap.dal.file.imageio.ImageIOStoreProvider;
 
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.raster.lib.legend.api.RasterLegendLocator;
 import org.gvsig.raster.lib.legend.api.RasterLegendManager;
 import org.gvsig.raster.lib.legend.api.colorinterpretation.ColorInterpretation;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/legend/ImageIOGetColorTable.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/legend/ImageIOGetColorTable.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/legend/ImageIOGetColorTable.java	(revision 43876)
@@ -7,7 +7,7 @@
 import java.util.List;
 import org.gvsig.fmap.dal.file.imageio.ImageIOStoreProvider;
 
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.raster.lib.legend.api.RasterLegendLocator;
 import org.gvsig.raster.lib.legend.api.RasterLegendManager;
 import org.gvsig.raster.lib.legend.api.colortable.ColorTable;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/legend/ImageIOGetLegend.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/legend/ImageIOGetLegend.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.legend/org.gvsig.raster.legend.imageio/src/main/java/org/gvsig/fmap/dal/file/imageio/legend/ImageIOGetLegend.java	(revision 43876)
@@ -1,6 +1,6 @@
 package org.gvsig.fmap.dal.file.imageio.legend;
 
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.dal.spi.DataStoreProvider;
 import org.gvsig.raster.lib.legend.api.RasterLegend;
 import org.gvsig.raster.lib.legend.api.RasterLegendLocator;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.lib/org.gvsig.raster.tools.lib.impl/src/main/java/org/gvsig/raster/tools/lib/impl/DefaultRasterClip.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.lib/org.gvsig.raster.tools.lib.impl/src/main/java/org/gvsig/raster/tools/lib/impl/DefaultRasterClip.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.lib/org.gvsig.raster.tools.lib.impl/src/main/java/org/gvsig/raster/tools/lib/impl/DefaultRasterClip.java	(revision 43876)
@@ -16,9 +16,9 @@
 import org.gvsig.fmap.dal.exception.InitializeException;
 import org.gvsig.fmap.dal.exception.ProviderNotRegisteredException;
 import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
-import org.gvsig.fmap.dal.raster.api.NewRasterStoreParameters;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.NewRasterStoreParameters;
+import org.gvsig.fmap.dal.raster.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorer;
 import org.gvsig.fmap.dal.spi.DALSPILocator;
 import org.gvsig.fmap.dal.spi.DataManagerProviderServices;
@@ -66,10 +66,12 @@
     public DefaultRasterClip() {
     }
 
+    @Override
     public RasterLayer getLayer() {
         return layer;
     }
 
+    @Override
     public void setLayer(RasterLayer layer) {
         this.layer = layer;
     }
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.lib/org.gvsig.raster.tools.lib.api/src/main/java/org/gvsig/raster/tools/lib/api/RasterClip.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.lib/org.gvsig.raster.tools.lib.api/src/main/java/org/gvsig/raster/tools/lib/api/RasterClip.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.lib/org.gvsig.raster.tools.lib.api/src/main/java/org/gvsig/raster/tools/lib/api/RasterClip.java	(revision 43876)
@@ -25,7 +25,6 @@
 import java.io.File;
 import java.util.List;
 
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
 import org.gvsig.fmap.geom.primitive.Envelope;
 import org.gvsig.fmap.mapcontext.raster.api.RasterLayer;
 import org.gvsig.raster.tools.lib.api.exceptions.ClipException;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.swing/org.gvsig.raster.tools.swing.impl/src/main/java/org/gvsig/raster/tools/swing/impl/clip/ClipPanelController.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.swing/org.gvsig.raster.tools.swing.impl/src/main/java/org/gvsig/raster/tools/swing/impl/clip/ClipPanelController.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.swing/org.gvsig.raster.tools.swing.impl/src/main/java/org/gvsig/raster/tools/swing/impl/clip/ClipPanelController.java	(revision 43876)
@@ -52,10 +52,10 @@
 import org.gvsig.fmap.IconThemeHelper;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.exception.InitializeException;
-import org.gvsig.fmap.dal.raster.api.BandDescriptor;
-import org.gvsig.fmap.dal.raster.api.RasterQuery;
-import org.gvsig.fmap.dal.raster.api.RasterSet;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.BandDescriptor;
+import org.gvsig.fmap.dal.raster.RasterQuery;
+import org.gvsig.fmap.dal.raster.RasterSet;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.geom.Geometry.DIMENSIONS;
 import org.gvsig.fmap.geom.Geometry.SUBTYPES;
 import org.gvsig.fmap.geom.GeometryLocator;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.swing/org.gvsig.raster.tools.swing.impl/src/main/java/org/gvsig/raster/tools/swing/impl/converttype/ConvertTypePanelController.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.swing/org.gvsig.raster.tools.swing.impl/src/main/java/org/gvsig/raster/tools/swing/impl/converttype/ConvertTypePanelController.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster.tools/org.gvsig.raster.tools.swing/org.gvsig.raster.tools.swing.impl/src/main/java/org/gvsig/raster/tools/swing/impl/converttype/ConvertTypePanelController.java	(revision 43876)
@@ -32,7 +32,7 @@
 import org.slf4j.LoggerFactory;
 
 import org.gvsig.fmap.dal.exception.DataException;
-import org.gvsig.fmap.dal.raster.api.RasterStore;
+import org.gvsig.fmap.dal.raster.RasterStore;
 import org.gvsig.fmap.mapcontext.layers.FLayer;
 import org.gvsig.fmap.mapcontext.raster.api.RasterLayer;
 import org.gvsig.raster.lib.buffer.api.Buffer;
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.buffer.impl/src/main/java/org/gvsig/raster/lib/buffer/impl/AbstractBuffer.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.buffer.impl/src/main/java/org/gvsig/raster/lib/buffer/impl/AbstractBuffer.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.buffer.impl/src/main/java/org/gvsig/raster/lib/buffer/impl/AbstractBuffer.java	(revision 43876)
@@ -492,6 +492,20 @@
         return bandDataTypes;
     }
 
+    @Override
+    public boolean areAllBandsOfTheSameType() {
+        if( this.bands.isEmpty() ) {
+            return true;
+        }
+        int type = this.bands.get(0).getDataType();
+        for (int i = 1; i < this.bands.size(); i++) {
+            if( type != this.bands.get(i).getDataType() ) {
+                return false;
+            }
+        }
+        return true;
+    }
+    
     public NoData[] getBandNoData() {
         NoData[] bandNoData = new NoData[this.getBandCount()];
         for (int i = 0; i < this.bands.size(); i++) {
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.buffer.api/src/main/java/org/gvsig/raster/lib/buffer/api/Buffer.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.buffer.api/src/main/java/org/gvsig/raster/lib/buffer/api/Buffer.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster/org.gvsig.raster.lib/org.gvsig.raster.lib.buffer.api/src/main/java/org/gvsig/raster/lib/buffer/api/Buffer.java	(revision 43876)
@@ -222,6 +222,8 @@
      */
     public int[] getBandTypes();
 
+    public boolean areAllBandsOfTheSameType();
+    
     /**
      * @return Gets NoData object from buffer bands
      */
Index: branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster/org.gvsig.raster.swing/org.gvsig.raster.swing.buffer/org.gvsig.raster.swing.buffer.impl/src/main/java/org/gvsig/raster/swing/buffer/impl/save/DefaultSaveBufferDialog.java
===================================================================
--- branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster/org.gvsig.raster.swing/org.gvsig.raster.swing.buffer/org.gvsig.raster.swing.buffer.impl/src/main/java/org/gvsig/raster/swing/buffer/impl/save/DefaultSaveBufferDialog.java	(revision 43875)
+++ branches/org.gvsig.desktop-2018a/org.gvsig.desktop.library/org.gvsig.raster/org.gvsig.raster.swing/org.gvsig.raster.swing.buffer/org.gvsig.raster.swing.buffer.impl/src/main/java/org/gvsig/raster/swing/buffer/impl/save/DefaultSaveBufferDialog.java	(revision 43876)
@@ -45,7 +45,7 @@
 import org.gvsig.fmap.dal.exception.InitializeException;
 import org.gvsig.fmap.dal.exception.ProviderNotRegisteredException;
 import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
-import org.gvsig.fmap.dal.raster.api.NewRasterStoreParameters;
+import org.gvsig.fmap.dal.raster.NewRasterStoreParameters;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemFileFilter;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorer;
 import org.gvsig.fmap.dal.serverexplorer.filesystem.FilesystemServerExplorerParameters;
